import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { AdditionalComments } from './model/additional-comments';
@Component({
   moduleId: module.id, 
   selector: 'additional-comment',
   templateUrl: 'templates/additional-comments.component.html'
})
export class AdditionalCommentsComponent implements OnInit {
   
    @Input() additionalComments: AdditionalComments[];

    @Output() emittedAdditionalComments : EventEmitter<AdditionalComments[]> = new EventEmitter<AdditionalComments[]>();

    additionalCommentsView: AdditionalComments[] = [];

  constructor(){}

  ngOnInit(): void {
      console.log('AdditionalComments Component initialized');
      this.emitAdditionalComments();

  }

  emitAdditionalComments()
  {
      this.emittedAdditionalComments.emit(this.additionalCommentsView);
  }

  addNewComment()
  {
      this.additionalCommentsView.push({
          additionalCommentId: this.additionalCommentsView.length + 1,
          comment: ''
      });
  }

  removeComment(index: number)
  {
      this.additionalCommentsView.splice(index, 1);
  }

}