
import {Component, OnInit, Input} from '@angular/core';
import { Citation } from './model/citation';

const electron = require('electron');
const ipcRenderer = electron.ipcRenderer;

@Component({
    moduleId: module.id,
    selector: 'citation-completed',
    templateUrl: 'templates/citation-completed.component.html'
})
export class CitationCompletedComponent implements OnInit {

    @Input() citation: Citation;

    rootDir :string = __dirname;

    constructor(){}

    ngOnInit(): void {
        console.log('Citation Completed Component initialized');
    }

    previewCitation()
    {
        localStorage.setItem("currentCitation", JSON.stringify(this.citation));
        ipcRenderer.send('preview-citation');
    }
}