"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@angular/core");
const electron_1 = require("electron");
let CitationWizardComponent = class CitationWizardComponent {
    constructor() {
        this.rootDir = __dirname;
        this.argunentsReceived = [];
    }
    ngOnInit() {
        console.log("Wizard initialized", electron_1.remote);
        //retrieve the command console arguments 
        this.argunentsReceived = electron_1.remote.process.argv;
        console.log(this.argunentsReceived);
        //get from the arguments the data related to the infractor
        let infractor = this.getInfractorFormArguments(this.argunentsReceived);
        // create a new citation object
        this.initializeACitation(infractor);
    }
    onStepChange(event) {
        console.log(event);
    }
    onComplete(event) {
        console.log(event);
        return true;
    }
    getInfractorFormArguments(consoleArguments) {
        const infractorJSON = consoleArguments[consoleArguments.length - 1];
        let infractor;
        try {
            //const dataTest =  '{ "name": "eduardo", "lastName": "luttinger" }';
            infractor = JSON.parse(infractorJSON);
        }
        catch (error) {
            infractor = {};
            console.log(error);
        }
        console.log('Infractor: ', infractor);
        return infractor;
    }
    initializeACitation(infractor) {
        this.citation = {};
        this.citation.infractor = infractor;
        this.citation.vehicle = {};
        this.citation.additionalComments = [];
        this.citation.infractions = [];
        console.log('Citation just  loaded: ', this.citation);
    }
    getInfractionsChanged(infractions) {
        this.citation.infractions = infractions.filter(infraction => infraction.selected);
    }
    getCommentsChanged(comments) {
        this.citation.additionalComments = comments.filter(comment => comment.comment != '');
    }
};
CitationWizardComponent = tslib_1.__decorate([
    core_1.Component({
        moduleId: module.id,
        selector: "wizard",
        templateUrl: "templates/citation-wizard.component.html"
    }),
    tslib_1.__metadata("design:paramtypes", [])
], CitationWizardComponent);
exports.CitationWizardComponent = CitationWizardComponent;
//# sourceMappingURL=citation-wizard.component.js.map