import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { Infraction } from './model/infraction';
@Component({
   moduleId: module.id, 
   selector: 'infraction',
   templateUrl: 'templates/infraction.component.html'
})
export class InfractionComponent implements OnInit {

  @Input() infractions: Infraction[];

  @Output() emittedInfractions : EventEmitter<Infraction[]> = new EventEmitter<Infraction[]>();

  infractionsView: Infraction[] = [
      {
          infractionId: 1,
          name: 'Speeding in excess of posted speed limits',
          description: 'Test description for infraction number 1',
          selected: false,
          amount: 10,
          subFields:
          {
              hasAny: true,
              type: 1,
              fields:
              [
                  {
                      id: "measuredSpeed",
                      name: "Measured Speed",
                      value: ""
                  },
                  {
                      id: "chargeSpeed",
                      name: "Charge Speed",
                      value: ""
                  },
                  {
                      id: "postedSpeed",
                      name: "Posted Speed",
                      value: ""
                  },
                  {
                      id: "speedCheckedBy",
                      name: "Speed Checked By",
                      value: ""
                  },
                  {
                      id: "radarTypeId",
                      name: "Radar Type/ID",
                      value: ""
                  },
                  {
                      id: "laseDistance",
                      name: "Laser Distance",
                      value: ""
                  }
              ]
          }
      },
      {
          infractionId: 2,
          name: 'Failure to stop at posted stop sign',
          description: 'Test description for infraction number 2',
          selected: false,
          amount: 2,
          subFields:
          {
              hasAny: false
          }
      },
      {
          infractionId: 3,
          name: 'Right turn on No Turn on Red signal',
          description: 'Test description for infraction number 3',
          selected: false,
          amount: 5,
          subFields:
          {
              hasAny: false
          }
      },
      {
          infractionId: 4,
          name: 'Driving while using electronic communication device',
          description: 'Test description for infraction number 4',
          selected: false,
          amount: 1,
          subFields:
          {
              hasAny: false
          }
      },
  ];

  constructor(){}

  ngOnInit(): void {
    
      console.log('Infraction Component initialized');
  }

    toggleSelectedInfraction(infraction: Infraction)
    {
        infraction.selected ? infraction.selected = false : infraction.selected = true;
        this.emittedInfractions.emit(this.infractionsView);
    }
}