
import { Component, OnInit, Input } from '@angular/core';
import { Citation } from './model/citation';

const electron = require('electron');
const ipcRenderer = electron.ipcRenderer;

@Component({
   moduleId: module.id, 
   selector: 'summary',
   templateUrl: 'templates/summary.component.html'
})
export class SummaryComponent implements OnInit {
  
  @Input() citation: Citation;

  constructor(){}

  ngOnInit(): void {
      console.log('Summary Component initialized');
  }

  getInfractionsTotal()
  {
      return this.citation.infractions.length > 0 ? this.citation.infractions.reduce((sum, item) => sum + item.amount, 0) : 0;
  }

  previewCitation()
  {
    localStorage.setItem("currentCitation", JSON.stringify(this.citation));
    ipcRenderer.send('preview-citation');
  }
}