import { Component, OnInit, Input} from '@angular/core';
import { VehicleOwner } from './model/vehicle-owner';

@Component({
   moduleId: module.id, 
   selector: 'vehicle-owner',
   templateUrl: 'templates/vehicle-owner.component.html',
})
export class VehicleOwnerComponent implements OnInit {

  @Input() vehicleOwner: VehicleOwner;

  showVehicleOwnerFields: Boolean = true;

  constructor(){}

  ngOnInit(): void {

      console.log('Vehicle Owner initialized');
      this.vehicleOwner.isInfractor = false;

  }

  toggleVehicleOwnerFields(vehicleOwnerData)
  {
      if(vehicleOwnerData.isInfractor)
      {
          vehicleOwnerData.isInfractor = false;
          this.showVehicleOwnerFields = true;
      }
      else
      {
          vehicleOwnerData.isInfractor = true;
          this.showVehicleOwnerFields = false;
      }
  }


}